{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://api.templated.io","description":"Generated server url"}],"paths":{"/webhook-config/{id}":{"get":{"tags":["webhook-config-resource"],"operationId":"getWebhook","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"put":{"tags":["webhook-config-resource"],"operationId":"updateWebhook","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["webhook-config-resource"],"operationId":"deleteWebhook","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/template/{id}":{"get":{"tags":["v-1-resource"],"operationId":"getTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"includeLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includePages","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"put":{"tags":["v-1-resource"],"operationId":"updateTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}},{"name":"replaceLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["v-1-resource"],"operationId":"deleteTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/template/{id}/tags":{"put":{"tags":["v-1-resource"],"operationId":"updateTemplateTags","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["v-1-resource"],"operationId":"addTemplateTags","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["v-1-resource"],"operationId":"removeTemplateTags","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/folder/{id}":{"put":{"tags":["v-1-resource"],"operationId":"updateFolder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FolderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["v-1-resource"],"operationId":"deleteFolder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/folder/{folderId}/template/{templateId}":{"put":{"tags":["v-1-resource"],"operationId":"moveTemplateToFolder","parameters":[{"name":"folderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/folder/{folderId}/render/{renderId}":{"put":{"tags":["v-1-resource"],"operationId":"moveRenderToFolder","parameters":[{"name":"folderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"renderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/users/{id}":{"get":{"tags":["user-resource"],"operationId":"getUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}},"put":{"tags":["user-resource"],"operationId":"updateUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/users/{id}/embed-config/{configId}":{"put":{"tags":["user-resource"],"operationId":"updateEmbedConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"configId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}}}}},"delete":{"tags":["user-resource"],"operationId":"deleteEmbedConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"configId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/templates/{templateId}/tags":{"put":{"tags":["template-resource"],"operationId":"updateTemplateTags_1","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"post":{"tags":["template-resource"],"operationId":"addTemplateTags_1","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"delete":{"tags":["template-resource"],"operationId":"removeTemplateTags_1","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/{id}":{"get":{"tags":["template-resource"],"operationId":"getTemplate_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"put":{"tags":["template-resource"],"operationId":"updateTemplate_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"delete":{"tags":["template-resource"],"operationId":"removeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/templates/{id}/embed/{embedId}":{"get":{"tags":["template-resource"],"operationId":"getTemplateFromEmbed","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"put":{"tags":["template-resource"],"operationId":"updateTemplateFromEmbed","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/teams/{id}":{"get":{"tags":["team-resource"],"operationId":"getTeam","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamDto"}}}}}},"put":{"tags":["team-resource"],"operationId":"updateTeam","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamDto"}}}}}}},"/teams/{id}/storage-config":{"get":{"tags":["team-resource"],"operationId":"getStorageConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamStorageConfigDto"}}}}}},"put":{"tags":["team-resource"],"operationId":"saveStorageConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveTeamStorageConfigRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamStorageConfigDto"}}}}}},"delete":{"tags":["team-resource"],"operationId":"deleteStorageConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/teams/{id}/members/{userId}/role":{"put":{"tags":["team-resource"],"operationId":"updateMemberRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberDto"}}}}}}},"/teams/{id}/embed-config/{configId}":{"put":{"tags":["team-resource"],"operationId":"updateEmbedConfig_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"configId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}}}}},"delete":{"tags":["team-resource"],"operationId":"deleteEmbedConfig_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"configId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/folders/{id}":{"get":{"tags":["folder-resource"],"operationId":"getFolder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FolderDto"}}}}}},"put":{"tags":["folder-resource"],"operationId":"updateFolder_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FolderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FolderDto"}}}}}},"delete":{"tags":["folder-resource"],"operationId":"deleteFolder_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/categories/{id}":{"get":{"tags":["category-resource"],"operationId":"getCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CategoryDto"}}}}}},"put":{"tags":["category-resource"],"operationId":"updateCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CategoryDto"}}}}}},"delete":{"tags":["category-resource"],"operationId":"deleteCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/users/{userId}/team/status":{"put":{"tags":["admin-resource"],"operationId":"updateTeamStatus","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["FREE","ACTIVE","CANCELED","PAST_DUE","BLOCKED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamDto"}}}}}}},"/admin/users/{userId}/status":{"put":{"tags":["admin-resource"],"operationId":"updateUserStatus","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["FREE","ACTIVE","CANCELED","PAST_DUE","BLOCKED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/admin/spedy/queue/{id}":{"put":{"tags":["admin-resource"],"operationId":"updateSpedyQueuedOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpedyQueueOrderRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}},"delete":{"tags":["admin-resource"],"operationId":"removeSpedyQueuedOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/spedy/queue/{id}/status":{"put":{"tags":["admin-resource"],"operationId":"updateSpedyQueuedOrderStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/spedy/queue/{id}/field":{"put":{"tags":["admin-resource"],"operationId":"updateSpedyQueuedOrderField","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"field","in":"query","required":true,"schema":{"type":"string"}},{"name":"value","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/master-templates/{templateId}":{"put":{"tags":["admin-resource"],"operationId":"updateMasterTemplate","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}},"delete":{"tags":["admin-resource"],"operationId":"removeMasterStatus","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/webhooks/{webhookId}/{secret}":{"post":{"tags":["webhook-resource"],"operationId":"triggerWebhook","parameters":[{"name":"webhookId","in":"path","required":true,"schema":{"type":"string"}},{"name":"secret","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/webhooks/stripe":{"post":{"tags":["stripe-webhook-resource"],"operationId":"handleStripeWebhook","parameters":[{"name":"Stripe-Signature","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/webhooks/creem":{"post":{"tags":["creem-webhook-resource"],"operationId":"handleCreemWebhook","parameters":[{"name":"creem-signature","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/webhook-config/{id}/regenerate-secret":{"post":{"tags":["webhook-config-resource"],"operationId":"regenerateWebhookSecret","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/webhook-config/":{"get":{"tags":["webhook-config-resource"],"operationId":"getWebhooks","parameters":[{"name":"templateId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["webhook-config-resource"],"operationId":"createWebhook","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/upload":{"post":{"tags":["v-1-resource"],"operationId":"upload","parameters":[{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/test/webhook":{"post":{"tags":["v-1-resource"],"operationId":"testWebhook","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/v1/template":{"post":{"tags":["v-1-resource"],"operationId":"createTemplate","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/template/{id}/duplicate":{"post":{"tags":["v-1-resource"],"operationId":"duplicateTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/template/{id}/clone":{"post":{"tags":["v-1-resource"],"operationId":"cloneTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/template/from-render/{renderId}":{"post":{"tags":["v-1-resource"],"operationId":"createTemplateFromRender","parameters":[{"name":"renderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/render":{"get":{"tags":["v-1-resource"],"operationId":"renderFromUrl","parameters":[{"name":"template","in":"query","required":true,"schema":{"type":"string"}},{"name":"apiKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"layers","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}},"post":{"tags":["v-1-resource"],"operationId":"render","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/render/{id}/duplicate":{"post":{"tags":["v-1-resource"],"operationId":"duplicateRender","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/render/merge":{"post":{"tags":["v-1-resource"],"operationId":"mergeRenders","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/public/upload":{"post":{"tags":["v-1-resource"],"operationId":"upload_1","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/v1/public/meta/feed":{"post":{"tags":["v-1-resource"],"operationId":"parseMetaFeedFile","parameters":[{"name":"qty","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"name":"templateId","in":"query","required":false,"schema":{"type":"string","default":"9480e9d0-4840-4aaa-b3e8-202e0e3c8925"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"logo":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/v1/public/google/merchant":{"post":{"tags":["v-1-resource"],"operationId":"parseGoogleMerchantFile","parameters":[{"name":"qty","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"name":"templateId","in":"query","required":false,"schema":{"type":"string","default":"eaf4def3-f256-445f-ad60-78c27705596f"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"logo":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GoogleMerchantProduct"}}}}}}}},"/v1/p":{"post":{"tags":["plausible-resource"],"operationId":"proxy","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/v1/import/polotno":{"post":{"tags":["v-1-resource"],"operationId":"importFromPolotnoFile_1","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/import/canva":{"post":{"tags":["v-1-resource"],"operationId":"importFromCanva","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/import/bannerbear":{"post":{"tags":["v-1-resource"],"operationId":"importFromBannerbear","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/font":{"post":{"tags":["v-1-resource"],"operationId":"uploadFont","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/folder":{"post":{"tags":["v-1-resource"],"operationId":"createFolder","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FolderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/ai/template/generate":{"post":{"tags":["v-1-resource"],"operationId":"generateTemplateWithAI","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AITemplateGenerationDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/ai/template/generate-from-html":{"post":{"tags":["v-1-resource"],"operationId":"generateTemplateFromHtml","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/ai/template/convert-html":{"post":{"tags":["v-1-resource"],"operationId":"convertHtmlToTemplate","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["html"],"type":"object","properties":{"html":{"type":"string","format":"binary"},"name":{"type":"string"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/users/{userId}/uploads/{uploadId}/tags":{"post":{"tags":["user-resource"],"operationId":"addUploadTags","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}},"delete":{"tags":["user-resource"],"operationId":"removeUploadTags","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/users/{id}/regenerate-api-key":{"post":{"tags":["user-resource"],"operationId":"regenerateApiKey","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/users/{id}/onboarding":{"post":{"tags":["user-resource"],"operationId":"completeOnboarding","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/users/{id}/embed-config":{"get":{"tags":["user-resource"],"operationId":"getEmbedConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}}}}},"post":{"tags":["user-resource"],"operationId":"createEmbedConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}}}}}},"/users/upload":{"post":{"tags":["user-resource"],"operationId":"upload_2","parameters":[{"name":"userId","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/users/upload/font":{"post":{"tags":["user-resource"],"operationId":"uploadFont_1","parameters":[{"name":"userId","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FontDto"}}}}}}},"/users/upload/font/embed/{embedId}":{"post":{"tags":["user-resource"],"operationId":"uploadFontFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FontDto"}}}}}}},"/users/upload/embed/{embedId}":{"post":{"tags":["user-resource"],"operationId":"uploadFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/users/":{"post":{"tags":["user-resource"],"operationId":"createUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/tools/public/xtogram":{"post":{"tags":["tools-resource"],"operationId":"xtogram","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/tools/public/url-to-pdf":{"post":{"tags":["tools-resource"],"operationId":"urlToPdf","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}},{"name":"pageFormat","in":"query","required":false,"schema":{"type":"string","default":"a4"}},{"name":"orientation","in":"query","required":false,"schema":{"type":"string","default":"portrait"}},{"name":"marginTop","in":"query","required":false,"schema":{"type":"string","default":"0"}},{"name":"marginRight","in":"query","required":false,"schema":{"type":"string","default":"0"}},{"name":"marginBottom","in":"query","required":false,"schema":{"type":"string","default":"0"}},{"name":"marginLeft","in":"query","required":false,"schema":{"type":"string","default":"0"}},{"name":"scale","in":"query","required":false,"schema":{"type":"string","default":"1"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/tools/public/url-to-image":{"post":{"tags":["tools-resource"],"operationId":"urlToImage","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}},{"name":"format","in":"query","required":false,"schema":{"type":"string","default":"png"}},{"name":"width","in":"query","required":false,"schema":{"type":"string","default":"1280"}},{"name":"height","in":"query","required":false,"schema":{"type":"string","default":"800"}},{"name":"fullPage","in":"query","required":false,"schema":{"type":"string","default":"false"}},{"name":"quality","in":"query","required":false,"schema":{"type":"string","default":"90"}},{"name":"deviceScaleFactor","in":"query","required":false,"schema":{"type":"string","default":"1"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/tools/public/maker":{"post":{"tags":["tools-resource"],"operationId":"maker","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/tools/public/analyze-pdf-dpi":{"post":{"tags":["tools-resource"],"operationId":"analyzePdfDpi","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/templates":{"post":{"tags":["template-resource"],"operationId":"createTemplate_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/{templateId}/copy/{email}":{"post":{"tags":["template-resource"],"operationId":"copyTemplateToUser","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"email","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/templates/{id}/versions/{versionId}/restore":{"post":{"tags":["template-resource"],"operationId":"restoreTemplateVersion","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/{id}/toggle/master":{"post":{"tags":["template-resource"],"operationId":"toggleMasterTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/templates/{id}/ranking":{"post":{"tags":["template-resource"],"operationId":"updateTemplateRanking","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"ranking","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/{id}/folder":{"post":{"tags":["template-resource"],"operationId":"moveToFolder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"folderId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["template-resource"],"operationId":"removeFromFolder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/templates/{id}/folder/embed/{embedId}":{"post":{"tags":["template-resource"],"operationId":"moveToFolderFromEmbed","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"folderId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/templates/{id}/copy":{"post":{"tags":["template-resource"],"operationId":"copyTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/merge":{"post":{"tags":["template-resource"],"operationId":"mergeTemplates","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MergeTemplatesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/templates/master/{masterId}":{"post":{"tags":["template-resource"],"operationId":"createTemplateFromMaster","parameters":[{"name":"masterId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/master/{masterId}/embed/{embedId}":{"post":{"tags":["template-resource"],"operationId":"createTemplateFromMasterFromEmbed","parameters":[{"name":"masterId","in":"path","required":true,"schema":{"type":"string"}},{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/master/thumbnails":{"post":{"tags":["template-resource"],"operationId":"regenAllMasterThumbnails","responses":{"200":{"description":"OK"}}}},"/templates/master/descriptions":{"post":{"tags":["template-resource"],"operationId":"getMasterTemplateDescriptions","responses":{"200":{"description":"OK"}}}},"/templates/master/category-and-tags":{"post":{"tags":["template-resource"],"operationId":"getMasterTemplateCategoryAndTags","responses":{"200":{"description":"OK"}}}},"/templates/embed/{embedId}":{"post":{"tags":["template-resource"],"operationId":"createTemplateFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/clone/{templateId}":{"post":{"tags":["template-resource"],"operationId":"createCloneFromTemplate","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/clone/{templateId}/embed/{embedId}":{"post":{"tags":["template-resource"],"operationId":"createCloneFromTemplateFromEmbed","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/bulk/remove-folder":{"post":{"tags":["template-resource"],"operationId":"bulkRemoveFromFolder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkRemoveFromFolderRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/templates/bulk/folder":{"post":{"tags":["template-resource"],"operationId":"bulkMoveToFolder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMoveFolderRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/templates/bulk/delete":{"post":{"tags":["template-resource"],"operationId":"bulkDeleteTemplates","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/templates/build":{"post":{"tags":["template-resource"],"operationId":"buildTemplate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/telegram/cancellation-reason":{"post":{"tags":["telegram-resource"],"operationId":"sendCancellationReason","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancellationReasonRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/teams":{"post":{"tags":["team-resource"],"operationId":"createTeam","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamDto"}}}}}}},"/teams/{id}/uploads":{"get":{"tags":["team-resource"],"operationId":"getTeamUploads","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1000}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"post":{"tags":["team-resource"],"operationId":"uploadToTeam","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/teams/{id}/uploads/{uploadId}/tags":{"post":{"tags":["team-resource"],"operationId":"addTeamUploadTags","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}},"delete":{"tags":["team-resource"],"operationId":"removeTeamUploadTags","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/teams/{id}/storage-config/test":{"post":{"tags":["team-resource"],"operationId":"testStorageConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StorageTestResultDto"}}}}}}},"/teams/{id}/regenerate-api-key":{"post":{"tags":["team-resource"],"operationId":"regenerateApiKey_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamDto"}}}}}}},"/teams/{id}/invites":{"get":{"tags":["team-resource"],"operationId":"getTeamInvites","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamInviteDto"}}}}}}},"post":{"tags":["team-resource"],"operationId":"createInvite","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamInviteDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamInviteDto"}}}}}}},"/teams/{id}/invites/{inviteId}/resend":{"post":{"tags":["team-resource"],"operationId":"resendInvite","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"inviteId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamInviteDto"}}}}}}},"/teams/{id}/fonts":{"get":{"tags":["team-resource"],"operationId":"getTeamFonts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FontDto"}}}}}}},"post":{"tags":["team-resource"],"operationId":"uploadFont_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FontDto"}}}}}}},"/teams/{id}/embed-config":{"get":{"tags":["team-resource"],"operationId":"getEmbedConfig_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}}}}},"post":{"tags":["team-resource"],"operationId":"createEmbedConfig_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmbedConfigDto"}}}}}}},"/teams/upload/font/embed/{embedId}":{"post":{"tags":["team-resource"],"operationId":"uploadFontFromEmbed_1","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FontDto"}}}}}}},"/teams/upload/embed/{embedId}":{"post":{"tags":["team-resource"],"operationId":"uploadFromEmbed_1","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"/teams/invites/{token}/accept":{"post":{"tags":["team-resource"],"operationId":"acceptInvite","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberDto"}}}}}}},"/public/update-password":{"post":{"tags":["auth-resource"],"operationId":"updatePassword","parameters":[{"name":"newPassword","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthDto"}}}}}}},"/public/signup":{"post":{"tags":["auth-resource"],"operationId":"signup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthDto"}}}}}}},"/public/reset-password":{"post":{"tags":["auth-resource"],"operationId":"resetPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/public/logout":{"post":{"tags":["auth-resource"],"operationId":"logout","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogoutDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/public/login":{"post":{"tags":["auth-resource"],"operationId":"login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthDto"}}}}}}},"/public/login/2fa":{"post":{"tags":["auth-resource"],"operationId":"login2fa","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TwoFactorLoginDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthDto"}}}}}}},"/public/google-auth":{"post":{"tags":["auth-resource"],"operationId":"googleAuth","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GoogleAuthDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthDto"}}}}}}},"/public/embed-config/{id}/trigger-webhook":{"post":{"tags":["embed-config-resource"],"operationId":"triggerWebhook_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/public/embed-config/test-webhook":{"post":{"tags":["embed-config-resource"],"operationId":"testWebhook_1","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/payments/create-portal-session":{"post":{"tags":["payment-resource"],"operationId":"createPortalSession","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/payments/create-creem-portal":{"post":{"tags":["payment-resource"],"operationId":"createCreemPortal","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/payments/create-creem-checkout":{"post":{"tags":["payment-resource"],"operationId":"createCreemCheckout","parameters":[{"name":"planId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/payments/create-checkout-session":{"post":{"tags":["payment-resource"],"operationId":"createCheckoutSession","parameters":[{"name":"planId","in":"query","required":true,"schema":{"type":"string"}},{"name":"referral","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/payments/cancel-subscription":{"post":{"tags":["payment-resource"],"operationId":"cancelSubscription","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/payments/accept-retention-discount":{"post":{"tags":["payment-resource"],"operationId":"acceptRetentionDiscount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oauth/token":{"post":{"tags":["o-auth-resource"],"operationId":"token","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/register":{"post":{"tags":["o-auth-resource"],"operationId":"register","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/authorize":{"get":{"tags":["o-auth-resource"],"operationId":"authorize","parameters":[{"name":"response_type","in":"query","required":false,"schema":{"type":"string"}},{"name":"client_id","in":"query","required":false,"schema":{"type":"string"}},{"name":"redirect_uri","in":"query","required":false,"schema":{"type":"string"}},{"name":"state","in":"query","required":false,"schema":{"type":"string"}},{"name":"code_challenge","in":"query","required":false,"schema":{"type":"string"}},{"name":"code_challenge_method","in":"query","required":false,"schema":{"type":"string"}},{"name":"resource","in":"query","required":false,"schema":{"type":"string"}},{"name":"scope","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}},"post":{"tags":["o-auth-resource"],"operationId":"authorizeApprove","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizeApproveRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthorizeApproveResponse"}}}}}}},"/folders":{"post":{"tags":["folder-resource"],"operationId":"createFolder_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FolderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FolderDto"}}}}}}},"/categories":{"get":{"tags":["category-resource"],"operationId":"getAllCategories","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CategoryDto"}}}}}}},"post":{"tags":["category-resource"],"operationId":"createCategory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CategoryDto"}}}}}}},"/catalogs/preview-template":{"post":{"tags":["catalog-resource"],"operationId":"createPreviewTemplate","parameters":[{"name":"config","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/catalogs/generate":{"post":{"tags":["catalog-resource"],"operationId":"generateCatalog","parameters":[{"name":"config","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BulkRenderJobDto"}}}}}}},"/bulk-render-jobs":{"get":{"tags":["bulk-render-job-resource"],"operationId":"getTeamJobs_1","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BulkRenderJobDto"}}}}}}},"post":{"tags":["bulk-render-job-resource"],"operationId":"createBulkRenderJob","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BulkRenderJobDto"}}}}}}},"/bulk-render-jobs/{jobId}/generate-zip":{"post":{"tags":["bulk-render-job-resource"],"operationId":"generateZip","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/bulk-render-jobs/validate-file":{"post":{"tags":["bulk-render-job-resource"],"operationId":"validateFile","requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/auth/login-as-user":{"post":{"tags":["auth-resource"],"operationId":"loginAsUser","parameters":[{"name":"userId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthDto"}}}}}}},"/auth/2fa/setup":{"post":{"tags":["auth-resource"],"operationId":"setup2fa","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TwoFactorSetupDto"}}}}}}},"/auth/2fa/disable":{"post":{"tags":["auth-resource"],"operationId":"disable2fa","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TwoFactorCodeDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/auth/2fa/confirm":{"post":{"tags":["auth-resource"],"operationId":"confirm2fa","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TwoFactorCodeDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TwoFactorRecoveryCodesDto"}}}}}}},"/assets/upload":{"post":{"tags":["asset-resource"],"operationId":"uploadAsset","parameters":[{"name":"fromUrl","in":"query","required":true,"schema":{"type":"string"}},{"name":"toPath","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/assets/upload-file":{"post":{"tags":["asset-resource"],"operationId":"uploadFile","parameters":[{"name":"toPath","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK"}}}},"/assets/upload-file/embed/{embedId}":{"post":{"tags":["asset-resource"],"operationId":"uploadFileFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"toPath","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK"}}}},"/ai/remove-background":{"post":{"tags":["ai-resource"],"operationId":"removeBackground","parameters":[{"name":"imageUrl","in":"query","required":true,"schema":{"type":"string"}},{"name":"$completion","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ContinuationObject"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/remove-background/embed/{embedId}":{"post":{"tags":["ai-resource"],"operationId":"removeBackgroundFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"imageUrl","in":"query","required":true,"schema":{"type":"string"}},{"name":"$completion","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ContinuationObject"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-psd":{"post":{"tags":["ai-resource"],"operationId":"importFromPsd","parameters":[{"name":"fontMappings","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-pptx":{"post":{"tags":["ai-resource"],"operationId":"importFromPptx","parameters":[{"name":"fontMappings","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-polotno":{"post":{"tags":["ai-resource"],"operationId":"importFromPolotno","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-pdf":{"post":{"tags":["ai-resource"],"operationId":"importFromPdf","parameters":[{"name":"fontMappings","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-html":{"post":{"tags":["ai-resource"],"operationId":"importFromHtml","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-figma":{"post":{"tags":["ai-resource"],"operationId":"importFromFigma","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-canva":{"post":{"tags":["ai-resource"],"operationId":"importFromCanva_1","parameters":[{"name":"$completion","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ContinuationObject"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-bannerbear":{"post":{"tags":["ai-resource"],"operationId":"importFromBannerbear_1","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/import-ai":{"post":{"tags":["ai-resource"],"operationId":"importFromAi","parameters":[{"name":"fontMappings","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/generate-template":{"post":{"tags":["ai-resource"],"operationId":"generateTemplate","parameters":[{"name":"model","in":"query","required":false,"schema":{"type":"string"}},{"name":"$completion","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ContinuationObject"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/figma/list-frames":{"post":{"tags":["ai-resource"],"operationId":"listFigmaFrames","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/analyze-psd":{"post":{"tags":["ai-resource"],"operationId":"analyzePsd","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/analyze-pptx":{"post":{"tags":["ai-resource"],"operationId":"analyzePptx","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/analyze-pdf":{"post":{"tags":["ai-resource"],"operationId":"analyzePdf","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/ai/analyze-ai":{"post":{"tags":["ai-resource"],"operationId":"analyzeAi","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/agency/login":{"post":{"tags":["agency-resource"],"operationId":"login_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgencyLoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AgencyLoginResponse"}}}}}}},"/admin/templates/{templateId}/regenerate-thumbnail":{"post":{"tags":["admin-resource"],"operationId":"regenerateTemplateThumbnail","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/admin/templates/{templateId}/move/{userId}":{"post":{"tags":["admin-resource"],"operationId":"moveTemplateToUser","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/templates/{templateId}/copy/{userId}":{"post":{"tags":["admin-resource"],"operationId":"copyTemplateToUser_1","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/templates/regenerate-thumbnails":{"post":{"tags":["admin-resource"],"operationId":"regenerateTemplateThumbnails","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RegenerateThumbnailsResultDto"}}}}}}},"/admin/spedy/test-order":{"post":{"tags":["admin-resource"],"operationId":"createSpedyTestOrder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpedyTestOrderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/admin/spedy/queue":{"get":{"tags":["admin-resource"],"operationId":"getSpedyQueue","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"post":{"tags":["admin-resource"],"operationId":"addSpedyQueuedOrder","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpedyQueueOrderRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}},"delete":{"tags":["admin-resource"],"operationId":"clearSpedyQueue","responses":{"200":{"description":"OK"}}}},"/admin/spedy/queue/{id}/send":{"post":{"tags":["admin-resource"],"operationId":"sendSpedyQueuedOrder","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/admin/migrate-payloads":{"post":{"tags":["admin-resource"],"operationId":"migratePayloads","parameters":[{"name":"batchSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}},{"name":"parallelism","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PayloadMigrationResult"}}}}}}},"/admin/master-templates/{templateId}/generate-description":{"post":{"tags":["admin-resource"],"operationId":"generateMasterTemplateDescription","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/admin/fonts/{fontId}/copy/{userId}":{"post":{"tags":["admin-resource"],"operationId":"copyFontToUser","parameters":[{"name":"fontId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/crisp/import-kb":{"post":{"tags":["admin-resource"],"operationId":"importCrispKnowledgeBase","parameters":[{"name":"dryRun","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"locale","in":"query","required":false,"schema":{"type":"string","default":"en"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ImportKbResultDto"}}}}}}},"/admin/checkout-sessions/{checkoutSessionId}/expire":{"post":{"tags":["admin-resource"],"operationId":"expireCheckoutSession","parameters":[{"name":"checkoutSessionId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/admin/canva-benchmark/run":{"post":{"tags":["admin-resource"],"operationId":"runCanvaBenchmark","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenchmarkRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/admin/canva-benchmark/fetch-html":{"post":{"tags":["admin-resource"],"operationId":"fetchCanvaBenchmarkHtml","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/admin/ai-benchmark/run":{"post":{"tags":["admin-resource"],"operationId":"runAiBenchmark","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiBenchmarkRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/users/{id}/name":{"patch":{"tags":["user-resource"],"operationId":"updateUserName","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateNameDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/v1/uploads":{"get":{"tags":["v-1-resource"],"operationId":"getUploads","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":15}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UploadDto"}}}}}}},"delete":{"tags":["v-1-resource"],"operationId":"deleteUploads","parameters":[{"name":"ids","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/test/external-assets":{"get":{"tags":["v-1-resource"],"operationId":"getTestExternalAssets","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/templates":{"get":{"tags":["v-1-resource"],"operationId":"getTemplates","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"width","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"height","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includePages","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/templates/gallery":{"get":{"tags":["v-1-resource"],"operationId":"getGalleryTemplates","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"category","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"width","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"height","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/templates/clones":{"get":{"tags":["v-1-resource"],"operationId":"getCloneTemplates","parameters":[{"name":"sourceTemplateId","in":"query","required":false,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/templates/clones/count":{"get":{"tags":["v-1-resource"],"operationId":"countCloneTemplates","parameters":[{"name":"sourceTemplateId","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/template/{id}/renders":{"get":{"tags":["v-1-resource"],"operationId":"getTemplateRenders","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RenderDto"}}}}}}}},"/v1/template/{id}/pages":{"get":{"tags":["v-1-resource"],"operationId":"getTemplatePages","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}},{"name":"includeLockedLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Page"}}}}}}}},"/v1/template/{id}/layers":{"get":{"tags":["v-1-resource"],"operationId":"getTemplateLayers","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}},{"name":"includeLockedLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Layer"}}}}}}}},"/v1/renders":{"get":{"tags":["v-1-resource"],"operationId":"getRenders","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RenderDto"}}}}}}}},"/v1/render/{id}":{"get":{"tags":["v-1-resource"],"operationId":"getRender","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RenderDto"}}}}}},"delete":{"tags":["v-1-resource"],"operationId":"deleteRender","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/render/{id}/download":{"get":{"tags":["v-1-resource"],"operationId":"downloadRender","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/v1/image/proxy":{"get":{"tags":["v-1-resource"],"operationId":"imageProxy","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/fonts":{"get":{"tags":["v-1-resource"],"operationId":"getFonts","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["v-1-resource"],"operationId":"deleteFonts","parameters":[{"name":"fonts","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/fonts/gallery":{"get":{"tags":["v-1-resource"],"operationId":"getGalleryFonts","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/folders":{"get":{"tags":["v-1-resource"],"operationId":"getFolders","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FolderDto"}}}}}}}},"/v1/folder/{folderId}/templates":{"get":{"tags":["v-1-resource"],"operationId":"getFolderTemplates","parameters":[{"name":"folderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"width","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"height","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"includeLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includePages","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateDto"}}}}}}}},"/v1/folder/{folderId}/renders":{"get":{"tags":["v-1-resource"],"operationId":"getFolderRenders","parameters":[{"name":"folderId","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RenderDto"}}}}}}}},"/v1/download/{templateId}":{"get":{"tags":["v-1-resource"],"operationId":"download","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"string"}},{"name":"format","in":"query","required":false,"schema":{"type":"string"}},{"name":"duration","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"fps","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"transparent","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"cmyk","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"flatten","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"pages","in":"query","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/download-jobs":{"get":{"tags":["download-job-resource"],"operationId":"getTeamJobs","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DownloadJobDto"}}}}}}}},"/v1/download-jobs/{jobId}/status":{"get":{"tags":["download-job-resource"],"operationId":"getDownloadJobStatus","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DownloadJobDto"}}}}}}},"/v1/download-jobs/{jobId}/download":{"get":{"tags":["download-job-resource"],"operationId":"downloadResult","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/auth":{"get":{"tags":["v-1-resource"],"operationId":"testAuth","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDto"}}}}}}},"/v1/ai/template/generate/{jobId}/status":{"get":{"tags":["v-1-resource"],"operationId":"getAIGenerationStatus","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/v1/account":{"get":{"tags":["v-1-resource"],"operationId":"getAccount","parameters":[{"name":"Authorization","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/users/{userId}/tags":{"get":{"tags":["user-resource"],"operationId":"getUserTags","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string","default":"TEMPLATE"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/users/{id}/uploads":{"get":{"tags":["user-resource"],"operationId":"getUserUploads","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1000}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UploadDto"}}}}}}}},"/users/{id}/uploads/{uploadId}/content":{"get":{"tags":["user-resource"],"operationId":"getUploadContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/users/{id}/templates":{"get":{"tags":["user-resource"],"operationId":"getUserTemplates","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateDto"}}}}}}}},"/users/{id}/templates/counts":{"get":{"tags":["user-resource"],"operationId":"getTemplatesCounts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int32"}}}}}}}},"/users/{id}/renders":{"get":{"tags":["user-resource"],"operationId":"getUserRenders","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RenderDto"}}}}}}}},"/users/{id}/fonts":{"get":{"tags":["user-resource"],"operationId":"getUserFonts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FontDto"}}}}}}}},"/users/{id}/folders":{"get":{"tags":["user-resource"],"operationId":"getUserFolders","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FolderDto"}}}}}}}},"/users/uploads/embed/{embedId}":{"get":{"tags":["user-resource"],"operationId":"getUserUploadsFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}},{"name":"tags","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1000}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UploadDto"}}}}}}}},"/users/templates/embed/{embedId}":{"get":{"tags":["user-resource"],"operationId":"getUserTemplatesFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"folderId","in":"query","required":false,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"includeAccountTemplates","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateDto"}}}}}}}},"/users/renders/embed/{embedId}":{"get":{"tags":["user-resource"],"operationId":"getUserRendersFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RenderDto"}}}}}}}},"/users/fonts/embed/{embedId}":{"get":{"tags":["user-resource"],"operationId":"getUserFontsFromEmbed","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FontDto"}}}}}}}},"/users/external-assets/embed/{embedId}":{"get":{"tags":["user-resource"],"operationId":"getExternalAssets","parameters":[{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"url","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/tools/public/og-preview":{"get":{"tags":["tools-resource"],"operationId":"ogPreview","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/templates/{id}/versions":{"get":{"tags":["template-resource"],"operationId":"listTemplateVersions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateVersionDto"}}}}}}}},"/templates/{id}/versions/{versionId}":{"get":{"tags":["template-resource"],"operationId":"getTemplateVersion","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/templates/{id}/renders":{"get":{"tags":["template-resource"],"operationId":"getTemplateRenders_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RenderDto"}}}}}}}},"/templates/{id}/pages":{"get":{"tags":["template-resource"],"operationId":"getTemplatePages_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Page"}}}}}}}},"/templates/{id}/layers":{"get":{"tags":["template-resource"],"operationId":"getTemplateLayers_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"includeLockedLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Layer"}}}}}}}},"/templates/thumbnail/{id}":{"get":{"tags":["template-resource"],"operationId":"getTemplateThumbnail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"image/webp":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/templates/master":{"get":{"tags":["template-resource"],"operationId":"getMasterTemplates","parameters":[{"name":"includeLayers","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TemplateDto"}}}}}}}},"/templates/master/name/{name}":{"get":{"tags":["template-resource"],"operationId":"getMasterTemplateByName","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TemplateDto"}}}}}}},"/templates/download/{id}/embed/{embedId}":{"get":{"tags":["template-resource"],"operationId":"downloadFromEmbed","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"embedId","in":"path","required":true,"schema":{"type":"string"}},{"name":"format","in":"query","required":false,"schema":{"type":"string"}},{"name":"pages","in":"query","required":false,"schema":{"type":"string"}},{"name":"transparent","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"cmyk","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"flatten","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"duration","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"fps","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/teams/{id}/uploads/{uploadId}/content":{"get":{"tags":["team-resource"],"operationId":"getTeamUploadContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/teams/{id}/templates":{"get":{"tags":["team-resource"],"operationId":"getTeamTemplates","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"query","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"sc
[...]
